RESTinio

Public Member Functions | Public Attributes | List of all members
restinio::http_field_parsers::transfer_encoding_value_t::transfer_extension_t Struct Reference

Description of transfer-extension. More...

`#include <transfer-encoding.hpp>`

## Public Member Functions
RESTINIO_NODISCARD bool | operator== (const transfer_extension_t &o) const noexcept

## Public Attributes
std::string | token
parameter_with_mandatory_value_container_t | transfer_parameters

## Detailed Description

Description of transfer-extension.

Definition at line 76 of file transfer-encoding.hpp.

## Member Function Documentation

## ◆ operator==()

RESTINIO_NODISCARD bool restinio::http_field_parsers::transfer_encoding_value_t::transfer_extension_t::operator== | ( | const transfer_extension_t & | o | ) | const
| inline noexcept

Definition at line 83 of file transfer-encoding.hpp.

## Member Data Documentation

## ◆ token

std::string restinio::http_field_parsers::transfer_encoding_value_t::transfer_extension_t::token

Definition at line 78 of file transfer-encoding.hpp.

## ◆ transfer_parameters

parameter_with_mandatory_value_container_t restinio::http_field_parsers::transfer_encoding_value_t::transfer_extension_t::transfer_parameters

Definition at line 79 of file transfer-encoding.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/transfer-encoding.hpp